curl -X POST https://www.geeknow.top/v1/videos \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "GG-3.1",
"prompt": "一只在窗台晒太阳的橘猫,胶片质感",
"size": "1024x1024"
}'
{
"id": "task_img_abc123",
"task_id": "task_img_abc123",
"object": "image.generation.task",
"status": "QUEUED",
"model": "GG-3.1",
"created_at": 1784788800
}
Gemini GG
Gemini 系列(GG)图像生成提交
使用 POST /v1/videos 提交 GG 系列图像任务。
POST
https://www.geeknow.top
/
v1
/
videos
curl -X POST https://www.geeknow.top/v1/videos \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "GG-3.1",
"prompt": "一只在窗台晒太阳的橘猫,胶片质感",
"size": "1024x1024"
}'
{
"id": "task_img_abc123",
"task_id": "task_img_abc123",
"object": "image.generation.task",
"status": "QUEUED",
"model": "GG-3.1",
"created_at": 1784788800
}
Gemini 系列(GG)图像生成提交
方法与路径
POST /v1/videos
请求示例
curl -X POST https://www.geeknow.top/v1/videos \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "GG-3.1",
"prompt": "一只在窗台晒太阳的橘猫,胶片质感",
"size": "1024x1024"
}'
请求字段
返回示例
{
"id": "task_img_abc123",
"task_id": "task_img_abc123",
"object": "image.generation.task",
"status": "QUEUED",
"model": "GG-3.1",
"created_at": 1784788800
}
task_id,再调用 任务查询接口 获取最终图片 URL。